#language: ru

@labeling

Функционал: 008. Labeling. Создание распоряжений на приемку

Сценарий: 008.1. Labeling. Создание распоряжения на приемку Склад готовой продукции - 19.10.2019

	Дано Я подключаюсь под "Администратор"
	Дано я удаляю объекты "Документы.к2РаспоряжениеНаПриемку" без контроля ссылок
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распоряжения на приемку'
	Тогда открылось окно 'Распоряжения на приемку'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Распоряжение на приемку (создание)'
	И в поле с именем 'Дата' я ввожу текст '19.10.2019  0:00:00'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад готовой продукции'
	И из выпадающего списка "Ответственный" я выбираю точное значение 'Администратор'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 20.10.2019 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '500,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Распоряжение на приемку (создание) *' в течение 20 секунд
	Тогда открылось окно 'Распоряжения на приемку'
	И Я закрываю окно 'Распоряжения на приемку'

Сценарий: 008.2. Labeling. Создание распоряжения на приемку Склад немаркированной продукции' - 8.11.2019, ячейка 1010012

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распоряжения на приемку'
	Тогда открылось окно 'Распоряжения на приемку'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Распоряжение на приемку (создание)'
	И в поле с именем 'Дата' я ввожу текст '8.11.2019  0:00:00'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад немаркированной продукции'
	И из выпадающего списка "Ответственный" я выбираю точное значение 'Администратор'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 20.10.2019 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '200,000'
	И в таблице "Товары" из выпадающего списка "Ячейка" я выбираю по строке '1010012'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 20.10.2019 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '500,000'
	И в таблице "Товары" из выпадающего списка "Ячейка" я выбираю по строке '1010013'
	И я нажимаю на кнопку 'Провести и закрыть'
	Тогда открылось окно 'Распоряжения на приемку'
	И я жду закрытия окна 'Распоряжение на приемку (создание) *' в течение 20 секунд
	И Я закрываю окно 'Распоряжения на приемку'

Сценарий: 008.3. Labeling. Завершение

	И Я закрыл все окна клиентского приложения